irc/weechat*: cmake/Find(Python|Ruby|etc).cmake don't respect version from bsd.(python|ruby|etc).mk

Jase Thew freebsd at beardz.net
Sun Oct 17 16:18:49 UTC 2010


On 07/10/2010 03:45, Anonymous wrote:
> The port blindly assumes the first version of python|ruby|etc it finds
> as the one user wants weechat plugin built against. Example for python
>
>    $ export PYTHON_DEFAULT_VERSION=python2.7
>    $ make install deinstall WITH_PYTHON=
>    ...
>    ===>    Deinstalling weechat-0.3.3_1
>    pkg_delete: file '/usr/local/lib/weechat/plugins/python.so' doesn't exist
>
> And excerpt from CMakeCache.txt
>    //Path to a program.
>    PYTHON_EXECUTABLE:FILEPATH=/usr/local/bin/python
>
>    //Path to a file.
>    PYTHON_INCLUDE_PATH:PATH=/usr/local/include/python2.5
>
>    //Path to a library.
>    PYTHON_LIBRARY:FILEPATH=/usr/local/lib/libpython2.6.so
>
>    //Dependencies for the target
>    python_LIB_DEPENDS:STATIC=general;/usr/local/lib/libpython2.6.so;general;weechat_scripts;
>
> I guess FindPython.cmake doesn't respect LOCALBASE, too.
>

Hi Anonymous,

Thanks for pointing this issue out - I'll look into it soon.

Regards,

Jase Thew.


More information about the freebsd-ports mailing list